=== tmp/kdb/modules/Makefile ===
#
# Makefile for i386-specific kdb files..
#
#  Copyright 1999, Silicon Graphics Inc.
# 
#  Written April 1999 by Scott Lurndal at Silicon Graphics, Inc.
#

O_TARGET := vmlinux-obj.o
obj-$(CONFIG_KDB_MODULES) += kdbm_vm.o kdbm_pg.o
CFLAGS_kdbm_vm.o	+= -I $(TOPDIR)/drivers/scsi

EXTRA_CFLAGS += -I $(TOPDIR)/arch/$(ARCH)/kdb

include $(TOPDIR)/Rules.make
