=== debian/changelog ===
kernel-patch-kdb (2.1-3-1) unstable; urgency=low

  * Added patches for 2.4.18 and 2.5.5 (no ia64 patch for 2.5.5 though).
  * 2.4 and 2.5 have independant changelogs, install both.
  * Doc includes a presentation and demonstration using magicpoint -
    suggesting package mgp.

 -- Yann Dirson <dirson@debian.org>  Wed, 20 Mar 2002 00:50:47 +0100

kernel-patch-kdb (2.1-2-1) unstable; urgency=low

  * Updated common and ia64 patches to latest.
  * New arch patch: sparc64.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Feb 2002 04:50:05 +0100

kernel-patch-kdb (2.1-5) unstable; urgency=low

  * Use dh-kpatches 0.99.8 to get transparent application of kdbcore.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Feb 2002 06:58:43 +0100

kernel-patch-kdb (2.1-4) unstable; urgency=low

  * Rebuild with 0.99.5.  Should fix Depends issue for 2.2 kernels.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Feb 2002 04:22:50 +0100

kernel-patch-kdb (2.1-3) unstable; urgency=low

  * Use kpatch:Depends from dh-kpatches 0.99.3.
  * Fixed debian/rules to put the build in binary-indep, not -arch;
    removed useless call to dh_shlibdeps.
  * Fixed original packaging - use pristine source this time.

 -- Yann Dirson <dirson@debian.org>  Thu,  7 Feb 2002 09:16:35 +0100

kernel-patch-kdb (2.1-2) unstable; urgency=medium

  * Use dh-kpatches 0.99.1 (Closes: #129430).
  * Updated README.Debian.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 16:10:59 +0100

kernel-patch-kdb (2.1-1) unstable; urgency=low

  * New upstream release, supporting 2.4.17.  Only keep 1.5 for 2.2.18 as
    additional patch (Closes: #129430).
  ** Patch is now split into arch-indep and arch-specific parts.
  ** Some sparc64 support, many update in the doc to reflect this.
  * Install arch-specific changelogs.
  * Documented doc and changelog extraction in README.Debian.
  * Use build-depend-indep, not build-depend (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 20 Jan 2002 18:51:47 +0100

kernel-patch-kdb (1.9-1) unstable; urgency=low

  * New upstream release, supporting 2.4.10 (and 2.4.11-pre4 for x86
    only).
  ** New debugger commands: md<W>c<N> (display <N> words of width <W>),
    mm<W> (modify word of width <W>)
  * In case the new VM in 2.4.10 causes problems to some, I includes 1.8
    for 2.4.9 and 2.4.8 on x86, and 1.8a for for 2.4.9 on ia64.
  * Install ChangeLog from latest x86 patch (identical in ia64 patch
    anyway).
  * Added a lintian override for the "Replaces" on the old virtual package
    that had the same name than this package.
  * Went through the policy upgrading-checklist, and bumped
    Standards-Version to 3.5.6 - no change.

 -- Yann Dirson <dirson@debian.org>  Sat,  6 Oct 2001 16:38:19 +0200

kernel-patch-kdb (1.8-2.4.5-1) unstable; urgency=low

  * 1.8 patches for 2.4 kernels up to 2.4.6pre4.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Jun 2001 09:51:27 +0200

kernel-patch-kdb (1.8-3) unstable; urgency=medium

  * Rebuilt with dh-kpatches 0.5 to fix unpatching - updated build-deps.

 -- Yann Dirson <dirson@debian.org>  Wed,  9 May 2001 22:59:35 +0200

kernel-patch-kdb (1.8-2) unstable; urgency=low

  * Updated README.Debian to mention --added-patches
  * Rebuilt with dh-kpatches 0.3 to be kind to patches with APPLIED stamp
    outside debian/ directory.

 -- Yann Dirson <dirson@debian.org>  Fri, 23 Mar 2001 01:22:55 +0100

kernel-patch-kdb (1.8-1) unstable; urgency=low

  * New upstream release:
  ** Support for ia64.
  ** Support for 2.4.2.
  * Build-dep on dh-kpatches 0.2 for correct multi-patchset support.

 -- Yann Dirson <dirson@debian.org>  Tue, 13 Mar 2001 16:43:06 +0100

kernel-patch-kdb (1.7-1) unstable; urgency=low

  * New upstream release:
  ** Support for 2.4.0.
  ** New "sections" command.
  * Include 1.5 for 2.2.18 (may have problems to compile some
    configurations).
  * Added a "note to package hackers" explaining oddities found in the
    control file.

 -- Yann Dirson <dirson@debian.org>  Sat, 20 Jan 2001 16:40:44 +0100

kernel-patch-kdb (1.6-2) unstable; urgency=low

  * Use new dh-kpatches package to build.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Dec 2000 23:37:11 +0100

kernel-patch-kdb (1.6-1) unstable; urgency=low

  * New upstream release:
  ** Can now be turned of at run-time.
  ** Main doc is now a manpage too.
  ** Docs were updated.
  * Include 1.5 for 2.2.18-pre15 (known to fail on pre20, though).
  * Use latest version of dh_installkpatches (dated 2000-09-03).
  * Moved manpages from section 1 to section 3.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Dec 2000 23:37:11 +0100

kernel-patch-kdb (1.2-2) unstable; urgency=low

  * Include kdb 0.6 for stable 2.2 series (2.2.13).
  * Bounced Standards-Version to 3.1.1.
  * Added informational message before running "patch --dry-run".
  * Fixed parsing of EXTRAVERSION to work when empty.
  * Create debian/ subdir on patch application if it does not exist, so
    that direct call to apply script can always be undone with unpatch
    script (which in turn removes debian/ subdir if empty).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Jun 2000 21:43:50 +0200

kernel-patch-kdb (1.2-1) unstable; urgency=low

  * New upstream release.
  * Use included experimental dh_installkpatches script (patch apply
    script tries in a robust way to apply the best patch file).
  * Dropped kernel version from binary package name.
  * Do not force kdb into the kernel - realized that option --config in
    make-kpkg lets the user select it.
  * Suggest virtual package kernel-source instead of specific kernel
    package.
  * Updated README.Debian.
  * Fixed location of GPL file in copyright file (last time was a quite
    broken attempt indeed - hopefully noone noticed :}).
  * No useless build-stamp any more.

 -- Yann Dirson <dirson@debian.org>  Wed, 14 Jun 2000 22:06:14 +0200

kernel-patch-kdb (0.6-2) frozen unstable; urgency=low

  * Fixed location of GPL file in copyright file.


