=== debian/control ===
Source: kernel-patch-kdb
Section: devel
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.8)

Package: kernel-patch-kdb
Architecture: all
Depends: binutils-dev, ${kpatch:Depends}
Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
Suggests: kernel-source, kernel-package (>> 6.23), mgp
Description: Builtin kernel debugger.
 This package contains a patch to the Linux kernel, which provides a
 means of examining kernel memory and data structures while the system
 is operational.  Only i386, ia64, and sparc64 are supported for now.
 .
 This package includes a magicpoint presentation and demo; you'll need
 the mgp package to view it.
 .
 Additional commands may be easily added to format and display
 essential system data structures given an identifier or address of the
 data structure.
 .
 Current command set allows complete control of kernel operations
 including single-stepping a processor, stopping upon execution of a
 specific instruction, stopping upon access (or modification) of a
 specific virtual memory location, stopping upon access to a register
 in the input-output address space, stack tracebacks for the current
 active task as well as for all other tasks (by process id),
 instruction disassembly, et. al.
 .
 The officially supported kernel version at this date for kdb 2.1 is
 2.4.17, but versions close enough may (or may not)
 work.  Please look at /use/share/doc/kernel-patch-kdb/README.Debian
 for more info.
 .
 Also provided is kdb 1.5 for kernel 2.2.18, which appears to work with
 2.2.19 as well.
 .
 The BFD headers from the binutils-dev package are required to compile
 a kdb-enabled kernel.
 .
 Version 6.23 of the kernel-package package has a bug preventing correct
 application of this patch.
