=== debian/rules ===
#! /usr/bin/make -f

PATCH=kdb

PACKAGE=kernel-patch-${PATCH}

####################

arch=$(shell dpkg --print-architecture)

topdir=$(shell pwd)
destdir=${topdir}/debian/tmp
mandir=${destdir}/usr/share/man
docdir=${destdir}/usr/share/doc/${PACKAGE}
man3dir=${mandir}/man3

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch:	build

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs /usr/share/lintian/overrides/
	dh_installkpatches

	cp debian/lintian-overrides \
		${destdir}/usr/share/lintian/overrides/${PACKAGE}

	install -m755 -d ${man3dir}
	cd doc && for i in bp bt env ll md rd ss; do \
		install -m644 kdb_$${i}.man ${man3dir}/kdb_$${i}.3 ;\
	done
	install -m644 doc/kdb.mm ${man3dir}/kdb.3

	for i in bpa bph bpha bd bc be bl; do \
		ln -s kdb_bp.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	for i in btp bta; do \
		ln -s kdb_bt.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	ln -s kdb_env.3 ${man3dir}/kdb_set.3
	for i in mdr mds mm; do \
		ln -s kdb_md.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	for i in rf ef; do \
		ln -s kdb_rd.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	ln -s kdb_ss.3 ${man3dir}/kdb_ssb.3

	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp

	dh_installchangelogs ChangeLogs-2.4/ChangeLog
  # replace duplicate with symlink
	rm -f ${docdir}/ChangeLogs-2.4/ChangeLog
	ln -s ../changelog ${docdir}/ChangeLogs-2.4/ChangeLog

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean checkroot
