## kernel-patch-kdb 4.4-2

=== debian/changelog ===
kernel-patch-kdb (4.4-2) unstable; urgency=low

  * Patches for 2.6.7 (i386 and ia64 only).
  * Updated 2.6.6 patches.
  * 2.6.6 support for sparc64 and amd64 (wow!).
  * Removed 4.3 patches for 2.6.5
  * Reworked version/arch descriptions in extended description.
  * Install manpages in man1 instead of man3, since they declare this
    section, and really describe more commands than library calls

 -- Yann Dirson <dirson@debian.org>  Mon, 21 Jun 2004 11:56:05 +0200

kernel-patch-kdb (4.4-1) unstable; urgency=low

  * New upstream release (i386 and ia64, for 2.6.6).
  * Removed some 4.3 patches, only keeping patches for 2.4.25 and 2.6.5.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 May 2004 15:16:00 +0200

kernel-patch-kdb (4.3-10) unstable; urgency=low

  * 2.6.5 update: common patch update, first patch for ia64, and
    upstream-regenerated i386 patch (apparently no content change).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Apr 2004 16:27:28 +0200

kernel-patch-kdb (4.3-9) unstable; urgency=low

  * New patches for 2.6.5, only for i386.

 -- Yann Dirson <dirson@debian.org>  Wed,  7 Apr 2004 11:28:09 +0200

kernel-patch-kdb (4.3-8) unstable; urgency=low

  * New patches for 2.6.4.
  * Updated patches for 2.4.25 and 2.6.3.

 -- Yann Dirson <dirson@debian.org>  Fri, 26 Mar 2004 12:03:06 +0100

kernel-patch-kdb (4.3-7) unstable; urgency=low

  * New versions, for 2.4.25 and 2.6.3, on i386 and ia64.
  * Dropped patches for 2.6.0-test11, 2.4.21 and 2.4.22.  Only kept 2.4.21
    for sparc64 support.
  * Make 2.6 ChangeLog file the official upstream changelog.

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Feb 2004 10:53:56 +0100

kernel-patch-kdb (4.3-6) unstable; urgency=low

  * Declare compatibility with 2.4.24.

 -- Yann Dirson <dirson@debian.org>  Wed,  7 Jan 2004 14:24:16 +0100

kernel-patch-kdb (4.3-5) unstable; urgency=low

  * Include patches for 2.4.23 (i386, ia64).
  * Drop patches for 2.4.20 and 2.2.18.

 -- Yann Dirson <dirson@debian.org>  Sun,  7 Dec 2003 12:33:20 +0100

kernel-patch-kdb (4.3-4) unstable; urgency=low

  * i386 and ia64 patches for 2.4.22.
  * Bumped Standards-version to 3.6.1, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Oct 2003 18:38:48 +0200

kernel-patch-kdb (4.3-3) unstable; urgency=low

  * New version of common and i386 patches for 2.4.21, and patch for
    2.4.21 on ia64.  This adds new (but undocumented) commands on i386:
    rdv, gdt, idt, ldt, ldtp, ptex.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Jul 2003 11:33:22 +0200

kernel-patch-kdb (4.3-2) unstable; urgency=low

  * New version of i386 patch for 2.4.21.
  * Updated README file.

 -- Yann Dirson <dirson@debian.org>  Thu,  3 Jul 2003 15:43:32 +0200

kernel-patch-kdb (4.3-1) unstable; urgency=low

  * New upstream release, supporting i386, ia64 and sparc64 for 2.4.20,
    and i386 and sparc64 for 2.4.21.  Did not provide debian-adapted
    versions yet.  
  * Installed new dump.txt file about interactions with LKCD.  Will
    require the "flavour" feature of upcoming dh-kpatches 1.x to make
    automated use of those instructions.  
  * Bumped Standards-Version to 3.5.10, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 29 Jun 2003 09:41:19 +0200

kernel-patch-kdb (4.1-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Dropped old
    sparc64 patch.
  * Provide a modified patch for the debian-patched 2.4.20 kernel, based
    on the modifications to kdb 2.3 by Sean Finney, using the
    Debian-patch-file hack of dh-kpatches 0.99.21 (Closes: #172826).
  * New command btt.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 18:49:28 +0200

kernel-patch-kdb (3.0-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch 
    for sparc64. 
  * Doc updates to reflect the new stuff (btc command, history and
    completion).  Noticed that some new commands mentionned in Changelog
    are not documented anywhere (fl, defcmd/endefcmd).
  * Removed trailing period from short desc.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 11:35:08 +0100

kernel-patch-kdb (2.5-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Nov 2002 00:10:04 +0100

kernel-patch-kdb (2.3-4) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.43.
  * Install 2.5 ChangeLogs again.
  * Improved installation of manpages - should not require modifications
    any more when new manpages are added.

 -- Yann Dirson <dirson@debian.org>  Thu, 17 Oct 2002 22:22:59 +0200

kernel-patch-kdb (2.3-3) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.42.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Oct 2002 23:59:23 +0200

kernel-patch-kdb (2.3-2) unstable; urgency=low

  * New upstream patch for 2.3 on ia64.
  * Use dh-kpatches 0.99.16, factorized Depends lines in kpatches file.
  * Bounced Standards-Version to 3.5.7.
  * Stop shipping 2.1 for early 2.5 - presumably noone's using them
    any more, and they're eating too much space.

 -- Yann Dirson <dirson@debian.org>  Wed, 11 Sep 2002 22:31:08 +0200

kernel-patch-kdb (2.3-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.
  * Use latest and greatest dh-kpatches (0.99.13).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Aug 2002 03:31:37 +0200

kernel-patch-kdb (2.1-4-1) unstable; urgency=low

  * Replaced 2.4.18 i386 patch with new one, which was regenerated
    upstream (only changes in diff headers).
  * Updated 2.4.18 kdbcore to latest.
  * Added 2.4.19-pre6 and 2.5.7 for i386.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Apr 2002 00:52:43 +0200
