=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.8)
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.21)
 
 Package: kernel-patch-kdb
 Architecture: all
@@ -11,10 +11,10 @@
 Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Suggests: kernel-source, kernel-package (>> 6.23), mgp
-Description: Builtin kernel debugger.
+Description: Builtin kernel debugger
  This package contains a patch to the Linux kernel, which provides a
  means of examining kernel memory and data structures while the system
- is operational.  Only i386, ia64, and sparc64 are supported for now.
+ is operational.
  .
  This package includes a magicpoint presentation and demo; you'll need
  the mgp package to view it.
@@ -31,13 +31,10 @@
  active task as well as for all other tasks (by process id),
  instruction disassembly, et. al.
  .
- The officially supported kernel version at this date for kdb 2.1 is
- 2.4.17, but versions close enough may (or may not)
- work.  Please look at /use/share/doc/kernel-patch-kdb/README.Debian
- for more info.
- .
- Also provided is kdb 1.5 for kernel 2.2.18, which appears to work with
- 2.2.19 as well.
+ Included is support for 2.6.7 on i386 and ia64, and 2.6.6 on i386,
+ ia64, sparc64, and amd64. kdb 4.3 versions for 2.6.5 and 2.4.25 are
+ also provided.  Versions close enough may (or may not) work.  Please
+ look at /use/share/doc/kernel-patch-kdb/README.Debian for more info.
  .
  The BFD headers from the binutils-dev package are required to compile
  a kdb-enabled kernel.
