=== debian/rules ===
#! /usr/bin/make -f

PATCH=kdb

PACKAGE=kernel-patch-${PATCH}

####################

arch=$(shell dpkg --print-architecture)

topdir=$(shell pwd)
destdir=${topdir}/debian/tmp
mandir=${destdir}/usr/share/man
docdir=${destdir}/usr/share/doc/${PACKAGE}
man1dir=${mandir}/man1

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch:	build

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs /usr/share/lintian/overrides/
	dh_installkpatches

	cp debian/lintian-overrides \
		${destdir}/usr/share/lintian/overrides/${PACKAGE}

	install -m755 -d ${man1dir}
	cd doc && for i in *.man; do \
		i=$${i#kdb_}; i=$${i%.man}; \
		install -m644 kdb_$${i}.man ${man1dir}/kdb_$${i}.1 ;\
	done
	install -m644 doc/kdb.mm ${man1dir}/kdb.1

	for i in bpa bph bpha bd bc be bl; do \
		ln -s kdb_bp.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	for i in btp bta btc btt; do \
		ln -s kdb_bt.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	ln -s kdb_env.1 ${man1dir}/kdb_set.1
	for i in mdr mds mm; do \
		ln -s kdb_md.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	for i in rf ef; do \
		ln -s kdb_rd.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	ln -s kdb_ss.1 ${man1dir}/kdb_ssb.1

	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp doc/dump.txt

	dh_installchangelogs ChangeLogs-2.6/ChangeLog
  # replace duplicate with symlink
	rm -f ${docdir}/ChangeLogs-2.6/ChangeLog
	ln -s ../changelog ${docdir}/ChangeLogs-2.6/ChangeLog

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean checkroot
