## kernel-patch-kdb 4.4-4

=== debian/changelog ===
kernel-patch-kdb (4.4-4) unstable; urgency=low

  * Declare 2.6.8 patch as applying to 2.6.8.1 as well.  Build-depend on
    dh-kpatches 0.99.35 for this.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 2004 17:47:03 +0200

kernel-patch-kdb (4.4-3) unstable; urgency=low

  * Patches for 2.6.8 and 2.6.9 (i386 and ia64 only).
  * Updated 2.6.7 common patch.
  * Added manpage link for mdp command.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 2004 16:52:14 +0200
