=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.21)
+Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.35)
 
 Package: kernel-patch-kdb
 Architecture: all
