=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 		ln -s kdb_bt.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
 	ln -s kdb_env.1 ${man1dir}/kdb_set.1
-	for i in mdr mds mm; do \
+	for i in mdp mdr mds mm; do \
 		ln -s kdb_md.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
 	for i in rf ef; do \
