## kernel-patch-kdb 4.4-10

=== debian/changelog ===
kernel-patch-kdb (4.4-10) unstable; urgency=low

  * New patches, for 2.6.18 (Closes: #393287).
  * Updated installed doc to those from latest patch.

 -- Yann Dirson <dirson@debian.org>  Wed, 18 Oct 2006 22:36:04 +0200

kernel-patch-kdb (4.4-9) unstable; urgency=low

  * New patches, for 2.6.17 (i386, ia64, amd64), and 2.6.16 for amd64.
  * Dropped patches for 2.6.13 and 2.6.14, not in sid or etch any more.
  * Updated installed doc to those from latest patch.
  * Changed Build-depend-indep on debhelper to a Build-depends (lintian).
  * Bumped Standards-version to 3.7.2 (no change).

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Sep 2006 22:46:33 +0200

kernel-patch-kdb (4.4-8) unstable; urgency=low

  * New patches, for 2.6.15 and 2.6.16 (i386, ia64).
  * Dropping patches for 2.6.12 and 2.6.13.  Keeping 2.6.14 as it is the
    latest version with amd64 support.
  * Updated installed doc to those from latest patch.

 -- Yann Dirson <dirson@debian.org>  Sun,  9 Apr 2006 11:23:16 +0200

kernel-patch-kdb (4.4-7) unstable; urgency=low

  * New patches, for 2.6.14 (i386, ia64, amd64), and 2.6.13 for amd64.
  * Sync'd documentation
  * Fixed manpage links: new one for rm, removed one for rf (old typo ?).
  * Use pristine filename for slides in source package, only rename it on
    install.
  * Changed debhelper compat level from 1 to 5: throw debian/tmp, use
    ${misc:Depends}.  
  * Added a lintian override for native-package-with-dash-version.
  * Bumped Standards-version to 3.6.2, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 10 Dec 2005 14:06:56 +0100

kernel-patch-kdb (4.4-6) unstable; urgency=low

  * New patches, for 2.6.13.
  * Dropped 2.6.11 patches.

 -- Yann Dirson <dirson@debian.org>  Fri, 23 Sep 2005 21:53:55 +0200

kernel-patch-kdb (4.4-5) unstable; urgency=low

  * New patches, for 2.6.11 and 2.6.12.
  * Sync'd documentation.
  * Dropped old patch for older 2.6 and 2.4 kernels.

 -- Yann Dirson <dirson@debian.org>  Tue, 28 Jun 2005 21:42:36 +0200
