=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.35)
+Standards-Version: 3.7.2
+Build-Depends-Indep: dh-kpatches (>= 0.99.35)
+Build-Depends: debhelper (>= 5)
 
 Package: kernel-patch-kdb
 Architecture: all
-Depends: binutils-dev, ${kpatch:Depends}
+Depends: binutils-dev, ${kpatch:Depends}, ${misc:Depends}
 Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Suggests: kernel-source, kernel-package (>> 6.23), mgp
