## kernel-patch-kdb 4.4-10.1

=== debian/changelog ===
kernel-patch-kdb (4.4-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop patches for 2.6.16, 2.6.17 and 2.6.18, not in unstable or
    testing any more.
  * Add patches for 2.6.24, 2.6.25 and 2.6.26; closes: #494757
    The x86 architecture replaces i386 and x86_64 since 2.6.24-rc1
  * Add copyright notices
  * Update Changelogs
  * Update doc/{slides,kdb_bt.man}
  * Standards-Version is 3.8.0
  * Add control homepage header

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Sep 2008 20:39:42 +1000
