=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Build-Depends-Indep: dh-kpatches (>= 0.99.35)
 Build-Depends: debhelper (>= 5)
+Homepage: http://oss.sgi.com/projects/kdb/
 
 Package: kernel-patch-kdb
 Architecture: all
