=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 arch=$(shell dpkg --print-architecture)
 
 topdir=$(shell pwd)
-destdir=${topdir}/debian/tmp
+destdir=${topdir}/debian/${PACKAGE}
 mandir=${destdir}/usr/share/man
 docdir=${destdir}/usr/share/doc/${PACKAGE}
 man1dir=${mandir}/man1
@@ -52,12 +52,13 @@
 	for i in mdp mdr mds mm; do \
 		ln -s kdb_md.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
-	for i in rf ef; do \
+	for i in ef rm; do \
 		ln -s kdb_rd.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
 	ln -s kdb_ss.1 ${man1dir}/kdb_ssb.1
 
-	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp doc/dump.txt
+	dh_installdocs README ChangeLogs-* doc/slides doc/dump.txt
+	cd ${docdir} && mv slides kdb-slides.mgp
 
 	dh_installchangelogs ChangeLogs-2.6/ChangeLog
   # replace duplicate with symlink
